Package Carre

Type
    ScrBlock is @Array[0..199,0..319] Of Byte
Var
   Screen as ScrBlock

Sub Plot(X,Y as Word; C as Byte)
Enter
  Screen[Y][X]=C
Leave

X,Y as Word

Enter
  AX=&H0013
  InLine(&H10CD)
  @Screen=Pointer(&HA000,&H0000)
  For X=0 To 319 Do
     For Y=0 To 199 Do Plot X,Y,(X*X+Y*Y)>>2;
Leave